summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/extract.sh12
-rwxr-xr-xscripts/list.sh10
2 files changed, 22 insertions, 0 deletions
diff --git a/scripts/extract.sh b/scripts/extract.sh
new file mode 100755
index 0000000..3e5be57
--- /dev/null
+++ b/scripts/extract.sh
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+[ -n "$1" ] || exit
+frame=$1
+
+list=$(./list.sh $1 | sort -n -k 3)
+echo -n > "frame$frame.raw"
+IFS=$'\n'
+for name in $list; do
+# echo "$name"
+ cat "$name" >> "frame$frame.raw"
+done
diff --git a/scripts/list.sh b/scripts/list.sh
new file mode 100755
index 0000000..eb4ebbe
--- /dev/null
+++ b/scripts/list.sh
@@ -0,0 +1,10 @@
+[ -n "$1" ] || exit
+frame=$1
+
+for name in frame*$frame/*; do
+ [[ $name =~ invalid$ ]] && continue;
+ [ -f "$name.invalid" ] && continue;
+ [ -f "$name.partial" ] && continue;
+
+ echo "$name"
+done \ No newline at end of file